---
title: "Licences"
description: "Licence keys: add, import, check, move and delete."
url: https://docs.filemonk.io/v2/api-reference/licences/
api: "API v2 reference"
---

# Licences

Licence keys: add, import, check, move and delete.

## The licence object

- `id` (string, nullable, required): e.g. `bcc87d33-c87e-4f39-9cd2-e43250ebc1ed`
- `key` (string, nullable, required): e.g. `ABCD-EFGH-0005`
- `source` (string, nullable, required): e.g. `uploaded`
- `status` (string, nullable, required): e.g. `pending`
- `tags` (array of strings, required)
- `assigned_at` (any, required)
- `order` (any, required)
- `file` (any, required)
- `created_at` (string, nullable, required): e.g. `2026-10-30T16:48:56Z`

```json
{
  "id": "bcc87d33-c87e-4f39-9cd2-e43250ebc1ed",
  "key": "ABCD-EFGH-0005",
  "source": "uploaded",
  "status": "pending",
  "tags": [
    "ebook-2026"
  ],
  "assigned_at": null,
  "order": null,
  "file": null,
  "created_at": "2026-10-30T16:48:56Z"
}
```

## Endpoints

- `GET /licences`: [List licences](https://docs.filemonk.io/v2/api-reference/licences/list-licences.md)
- `POST /licences`: [Create a licence](https://docs.filemonk.io/v2/api-reference/licences/create-a-licence.md)
- `GET /licences/{id}`: [Get a licence](https://docs.filemonk.io/v2/api-reference/licences/get-a-licence.md)
- `PATCH /licences/{id}`: [Update a licence](https://docs.filemonk.io/v2/api-reference/licences/update-a-licence.md)
- `DELETE /licences/{id}`: [Delete a licence](https://docs.filemonk.io/v2/api-reference/licences/delete-a-licence.md)
- `POST /licences/bulk_delete`: [Bulk delete licence keys](https://docs.filemonk.io/v2/api-reference/licences/bulk-delete-licence-keys.md)
- `POST /licences/check`: [Check a licence key](https://docs.filemonk.io/v2/api-reference/licences/check-a-licence-key.md)
- `POST /licences/import`: [Import licence keys](https://docs.filemonk.io/v2/api-reference/licences/import-licence-keys.md)
- `GET /licences/lookup`: [Look up a licence key](https://docs.filemonk.io/v2/api-reference/licences/look-up-a-licence-key.md)
- `POST /licences/move`: [Move licence keys to another tag](https://docs.filemonk.io/v2/api-reference/licences/move-licence-keys-to-another-tag.md)
